Start Seer Issue Fix

POST /api/0/organizations/{organization_id_or_slug}/issues/{issue_id}/autofix/

Trigger a Seer Issue Fix run for a specific issue.

The issue fix process can:

  • Identify the root cause of the issue
  • Propose a solution
  • Generate code changes
  • Create a pull request with the fix

The process runs asynchronously, and you can get the state using the GET endpoint.

Path Parameters

organization_id_or_slug (string)
REQUIRED

The ID or slug of the organization the resource belongs to.

issue_id (string)
REQUIRED

The ID of the issue you'd like to query.

Body Parameters

step (string)

Which autofix step to run.

  • root_cause
  • solution
  • code_changes
  • open_pr
  • coding_agent_handoff
stopping_point (string)

Where the issue fix process should stop. If not provided, will run to root cause.

  • root_cause
  • solution
  • code_changes
  • open_pr
run_id (integer)

Existing run ID to continue. If not provided, starts a new run.

integration_id (integer)

Coding agent integration ID. Required for coding_agent_handoff step (unless provider is specified).

provider (string)

Coding agent provider (e.g., 'github_copilot'). Alternative to integration_id for user-authenticated providers.

user_context (string)

Optional user context to append to the step prompt.

repo_name (string)

Optional repository name for which to create the pull request. Do not pass a repository name to create pull requests in all relevant repositories.

insert_index (integer)

Block index to insert at. When provided, truncates blocks after this point for retry-from-step.

referrer (string)

Referrer identifying where the issue fix was triggered from.

Scopes

<auth_token> requires one of the following scopes:
  • event:admin
  • event:write
Copied
curl https://sentry.io/api/0/organizations/{organization_id_or_slug}/issues/{issue_id}/autofix/ \
 -H 'Authorization: Bearer <auth_token>' \
 -H 'Content-Type: application/json' \
 -d '{}'
RESPONSESCHEMA
Copied
{ "run_id": 12345 }
Was this helpful?